#### MSGFILE

#### Synopsis

    HELP:   Filename for appending FLAM messages
    TYPE:   STRING
    SYNTAX: MSGFILE/LOGFILE/MSGF='str'

#### Description

This parameter can be used to redirect FLAM message output to a file.

FLAM messages are output to stderr which is generally the user's screen when working interactively. With this parameter output can be sent to a file to act as a permanent copy for documenting the compression procedure. This is important for batch processing, for example.

However, logging in the message file does not begin until after the syntax and compatibility of the FLAM settings specified in the command have been checked. Error messages concerning syntax errors, missing files or invalid settings are not logged. In such cases, FLAM stops processing without creating a message file

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `MSGFILE=file name`
  - `MSGF=file name`
- UNIX
  - `-msgfile=message file name`
- WINDOWS
  - `msgfile=message file name`
  - `ms=message file name`
  - `logfile=message file name`
  - `log=message file name`

Values

- z/OS
  - File name with max. 54 characters.
- UNIX
  - This specifies a file to which the FLAM messages must be written.
- WINDOWS
  - Name of the file to which the FLAM messages are to be written.
    - Note: Generally the log file is opened with "append".
      It is possible to have the log file created on the command line by the operating system:
      `flam4 param1 param2 param3 2>LOGFILE`.
      The redirection of STDERR instead of the specification msgfile=<name> has the advantage that all messages are written to the redirected file immediately. Otherwise the messages are not written to the specified file until the parameter msgfile is interpreted.

Default

- z/OS
  - no name
- UNIX
  - none
- WINDOWS
  - none

Valid for

- compression
- decompression